View Issue Details

IDProjectCategoryView StatusLast Update
0003344gnunet-gtkotherpublic2014-04-10 19:11
ReporterMatthias WachsAssigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003344: gnunet-gtk crashes when loading statistics
Descriptionstrace:
stat("/home/mwachs/coding/gnb/bin/gnunet-statistics-gtk", {st_mode=S_IFREG|0755, st_size=76904, ...}) = 0
access("/home/mwachs/coding/gnb/bin/gnunet-statistics-gtk", F_OK) = 0
access("/home/mwachs/coding/gnb/bin/gnunet-statistics-gtk", X_OK) = 0
getuid() = 1000
stat("/home/mwachs/coding/gnb/bin/gnunet-statistics-gtk", {st_mode=S_IFREG|0755, st_size=76904, ...}) = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Segmentation fault

gdb:
Program received signal SIGSEGV, Segmentation fault.
GNUNET_DISK_internal_file_handle_ (fh=0x732d74656e756e67, dst=0x7fffffffd8f4, dst_len=4) at disk.c:2653
2653 *((int *) dst) = fh->fd;
(gdb) bt
#0 GNUNET_DISK_internal_file_handle_ (fh=0x732d74656e756e67, dst=0x7fffffffd8f4, dst_len=4) at disk.c:2653
#1 0x00007ffff79a64b3 in start_process (pipe_control=0, std_inheritance=GNUNET_OS_INHERIT_STD_ALL, pipe_stdin=0x0, pipe_stdout=0x0,
    pipe_stderr=0x4020e3, lsocks=0x0, filename=0x4020e3 "gnunet-statistics-gtk", argv=0x65e860) at os_priority.c:591
#2 0x00007ffff79a7eba in GNUNET_OS_start_process_vap (pipe_control=<optimized out>, std_inheritance=<optimized out>,
    pipe_stdin=<optimized out>, pipe_stdout=<optimized out>, pipe_stderr=<optimized out>, filename=<optimized out>, argv=0x65e860)
    at os_priority.c:1250
#3 0x00007ffff79a7fe0 in GNUNET_OS_start_process_va (pipe_control=0, std_inheritance=GNUNET_OS_INHERIT_STD_ALL, pipe_stdin=0x0,
    pipe_stdout=0x0, pipe_stderr=<optimized out>, filename=<optimized out>, va=0x7fffffffda88) at os_priority.c:1296
#4 0x00007ffff79a808a in GNUNET_OS_start_process (pipe_control=<optimized out>, std_inheritance=<optimized out>,
    pipe_stdin=<optimized out>, pipe_stdout=<optimized out>, pipe_stderr=<optimized out>, filename=<optimized out>)
    at os_priority.c:1331
#5 0x0000000000401784 in start_process (p=0x7264b0) at gnunet-gtk.c:191
#6 0x0000000000401864 in plug (container=0x4020f9 "gnunet_statistics_hbox", binary=0x4020e3 "gnunet-statistics-gtk",
    env_var=0x4020c8 "GNUNET_STATISTICS_GTK_PLUG") at gnunet-gtk.c:271
#7 0x0000000000401ec8 in run (cls=<optimized out>, tc=<optimized out>) at gnunet-gtk.c:302
#8 run (cls=<optimized out>, tc=<optimized out>) at gnunet-gtk.c:287
#9 0x00007ffff79af010 in run_ready (ws=0x608190, rs=0x608100) at scheduler.c:595
#10 GNUNET_SCHEDULER_run (task=<optimized out>, task_cls=<optimized out>) at scheduler.c:817
#11 0x00007ffff79aa85e in GNUNET_PROGRAM_run2 (argc=1, argv=0x7fffffffe0f8, binaryName=0x402209 "gnunet-gtk",
    binaryHelp=<optimized out>, options=<optimized out>, task=0x7ffff7bd4ce0 <run_main_loop>, task_cls=0x7fffffffdf40,
    run_without_scheduler=0) at program.c:286
#12 0x00007ffff79aabba in GNUNET_PROGRAM_run (argc=<optimized out>, argv=<optimized out>, binaryName=<optimized out>,
    binaryHelp=<optimized out>, options=<optimized out>, task=<optimized out>, task_cls=0x7fffffffdf40) at program.c:325
#13 0x00007ffff7bd5b5c in GNUNET_GTK_main_loop_start (binary_name=<optimized out>, binary_help=<optimized out>, argc=1,
    argv=<optimized out>, options=<optimized out>, main_window_file=<optimized out>, main_task=0x401e30 <run>) at eventloop.c:1000
#14 0x0000000000401608 in main (argc=<optimized out>, argv=<optimized out>) at gnunet-gtk.c:348
(gdb)
Additional Informationgnunet-statistics-gtk standalone works
gtk is installed in non-standard path
TagsNo tags attached.

Activities

Christian Grothoff

2014-04-04 18:58

manager   ~0008188

If this is reproduceable, valgrind might help...

Matthias Wachs

2014-04-07 11:12

manager   ~0008195

$ valgrind gnunet-gtk
==828== Memcheck, a memory error detector
==828== Copyright (C) 2002-2011, and GNU GPL'd, by Julian Seward et al.
==828== Using Valgrind-3.7.0 and LibVEX; rerun with -h for copyright info
==828== Command: gnunet-gtk
==828==
==828== Invalid read of size 4
==828== at 0x8CBB0D3: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CBD464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6265: FcInitLoadConfigAndFonts (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6484: FcInit (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CBB87C: FcConfigGetCurrent (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CBD22F: FcConfigSubstituteWithPat (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x7808ECF: ??? (in /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0.3000.0)
==828== by 0x8849E9B: ??? (in /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0.3000.0)
==828== by 0x8A8286C: ??? (in /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0.3000.0)
==828== by 0x8A833B7: pango_itemize_with_base_dir (in /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0.3000.0)
==828== Address 0xf83e924 is 20 bytes inside a block of size 22 alloc'd
==828== at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==828== by 0x8CBB02C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CBD464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6265: FcInitLoadConfigAndFonts (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6484: FcInit (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CBB87C: FcConfigGetCurrent (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CBD22F: FcConfigSubstituteWithPat (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x7808ECF: ??? (in /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0.3000.0)
==828== by 0x8849E9B: ??? (in /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0.3000.0)
==828== by 0x8A8286C: ??? (in /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0.3000.0)
==828==
==828== Invalid read of size 4
==828== at 0x8CBB0E8: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CBD464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0xB8536F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB854950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB8517C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85317A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85675C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0x8CD0B70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6265: FcInitLoadConfigAndFonts (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== Address 0xf845e10 is 16 bytes inside a block of size 18 alloc'd
==828== at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==828== by 0x8CBB02C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CBD464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0xB8536F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB854950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB8517C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85317A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85675C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0x8CD0B70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828==
==828== Invalid read of size 4
==828== at 0x8CBB0E8: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0E77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0xB8536F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB854950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB8517C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85317A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85675C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0x8CD0B70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6265: FcInitLoadConfigAndFonts (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== Address 0xf85b9a8 is 40 bytes inside a block of size 42 alloc'd
==828== at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==828== by 0x8CBB02C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0E77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0xB8536F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB854950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB8517C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85317A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85675C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0x8CD0B70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828==
==828== Invalid read of size 4
==828== at 0x8CBB0D3: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0E77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0xB8536F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB854950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB8517C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85317A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85675C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0x8CD0B70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6265: FcInitLoadConfigAndFonts (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== Address 0x106f6214 is 36 bytes inside a block of size 39 alloc'd
==828== at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==828== by 0x8CBB02C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0E77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0xB8536F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB854950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB8517C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85317A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85675C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0x8CD0B70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CC6176: FcInitLoadConfig (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828==
==828== Invalid read of size 4
==828== at 0x8CBB0E8: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0xB8536F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB854950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB8517C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85317A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85675C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0x8CD0B70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0E77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0xB8536F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== Address 0x1071bf28 is 24 bytes inside a block of size 26 alloc'd
==828== at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==828== by 0x8CBB02C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0xB8536F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB854950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB8517C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85317A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85675C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0x8CD0B70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0E77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828==
==828== Invalid read of size 4
==828== at 0x8CBB0D3: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CBD464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0xB8536F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB854950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB8517C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85317A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85675C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0x8CD0B70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0E77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== Address 0x10723f94 is 20 bytes inside a block of size 22 alloc'd
==828== at 0x4C2B6CD: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==828== by 0x8CBB02C: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CBD464: FcConfigFilename (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0A15: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD10FD: ??? (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0xB8536F3: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB854950: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB8517C6: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85317A: ??? (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0xB85675C: XML_ParseBuffer (in /lib/x86_64-linux-gnu/libexpat.so.1.5.2)
==828== by 0x8CD0B70: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828== by 0x8CD0E77: FcConfigParseAndLoad (in /usr/lib/x86_64-linux-gnu/libfontconfig.so.1.4.4)
==828==
==828== Conditional jump or move depends on uninitialised value(s)
==828== at 0x6DDD4E0: inflateReset2 (in /lib/x86_64-linux-gnu/libz.so.1.2.3.4)
==828== by 0x6DDD5D8: inflateInit2_ (in /lib/x86_64-linux-gnu/libz.so.1.2.3.4)
==828== by 0xB01B0D3: png_create_read_struct_2 (in /lib/x86_64-linux-gnu/libpng12.so.0.46.0)
==828== by 0x10CF5165: ??? (in /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so)
==828== by 0x63E0A5D: ??? (in /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0.2600.1)
==828== by 0x63E0D4B: gdk_pixbuf_new_from_file (in /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0.2600.1)
==828== by 0x535A8A0: gtk_builder_value_from_string_type (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.400.2)
==828== by 0x535AE9A: ??? (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.400.2)
==828== by 0x535B5E2: ??? (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.400.2)
==828== by 0x535CF3E: ??? (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.400.2)
==828== by 0x6642E25: g_markup_parse_context_parse (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.3200.4)
==828== by 0x535D25F: ??? (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.400.2)
==828==
==828== Invalid read of size 4
==828== at 0x506F1A0: GNUNET_DISK_internal_file_handle_ (disk.c:2653)
==828== by 0x5076B72: start_process (os_priority.c:591)
==828== by 0x50789F9: GNUNET_OS_start_process_vap (os_priority.c:1250)
==828== by 0x5078B1F: GNUNET_OS_start_process_va (os_priority.c:1296)
==828== by 0x5078BC9: GNUNET_OS_start_process (os_priority.c:1331)
==828== by 0x401783: start_process (gnunet-gtk.c:191)
==828== by 0x401863: plug (gnunet-gtk.c:271)
==828== by 0x401EC7: run (gnunet-gtk.c:302)
==828== by 0x50805B0: GNUNET_SCHEDULER_run (scheduler.c:595)
==828== by 0x507B39D: GNUNET_PROGRAM_run2 (program.c:286)
==828== by 0x507B6F9: GNUNET_PROGRAM_run (program.c:325)
==828== by 0x4E37B5B: GNUNET_GTK_main_loop_start (eventloop.c:1000)
==828== Address 0x732d74656e756e67 is not stack'd, malloc'd or (recently) free'd
==828==
==828==
==828== Process terminating with default action of signal 11 (SIGSEGV)
==828== General Protection Fault
==828== at 0x506F1A0: GNUNET_DISK_internal_file_handle_ (disk.c:2653)
==828== by 0x5076B72: start_process (os_priority.c:591)
==828== by 0x50789F9: GNUNET_OS_start_process_vap (os_priority.c:1250)
==828== by 0x5078B1F: GNUNET_OS_start_process_va (os_priority.c:1296)
==828== by 0x5078BC9: GNUNET_OS_start_process (os_priority.c:1331)
==828== by 0x401783: start_process (gnunet-gtk.c:191)
==828== by 0x401863: plug (gnunet-gtk.c:271)
==828== by 0x401EC7: run (gnunet-gtk.c:302)
==828== by 0x50805B0: GNUNET_SCHEDULER_run (scheduler.c:595)
==828== by 0x507B39D: GNUNET_PROGRAM_run2 (program.c:286)
==828== by 0x507B6F9: GNUNET_PROGRAM_run (program.c:325)
==828== by 0x4E37B5B: GNUNET_GTK_main_loop_start (eventloop.c:1000)
==828==
==828== HEAP SUMMARY:
==828== in use at exit: 2,156,033 bytes in 14,789 blocks
==828== total heap usage: 60,531 allocs, 45,742 frees, 7,053,399 bytes allocated
==828==
==828== LEAK SUMMARY:
==828== definitely lost: 2,620 bytes in 6 blocks
==828== indirectly lost: 6,480 bytes in 204 blocks
==828== possibly lost: 1,031,445 bytes in 5,353 blocks
==828== still reachable: 1,115,488 bytes in 9,226 blocks
==828== suppressed: 0 bytes in 0 blocks
==828== Rerun with --leak-check=full to see details of leaked memory
==828==
==828== For counts of detected and suppressed errors, rerun with: -v
==828== Use --track-origins=yes to see where uninitialised values come from
==828== ERROR SUMMARY: 29 errors from 8 contexts (suppressed: 2 from 2)
Killed

Christian Grothoff

2014-04-07 11:18

manager   ~0008196

Fixed in SVN 32901.

Matthias Wachs

2014-04-07 17:08

manager   ~0008200

==15824==
==15824== Invalid read of size 1
==15824== at 0x508DA2D: GNUNET_STRINGS_path_is_absolute (strings.c:1044)
==15824== by 0x507656B: GNUNET_OS_check_helper_binary (os_installation.c:748)
==15824== by 0x5076A8F: start_process (os_priority.c:532)
==15824== by 0x50789F9: GNUNET_OS_start_process_vap (os_priority.c:1249)
==15824== by 0x5078B1F: GNUNET_OS_start_process_va (os_priority.c:1296)
==15824== by 0x5078BC9: GNUNET_OS_start_process (os_priority.c:1331)
==15824== by 0x401790: start_process (gnunet-gtk.c:191)
==15824== by 0x401873: plug (gnunet-gtk.c:272)
==15824== by 0x401ED7: run (gnunet-gtk.c:303)
==15824== by 0x50805B0: GNUNET_SCHEDULER_run (scheduler.c:595)
==15824== by 0x507B39D: GNUNET_PROGRAM_run2 (program.c:286)
==15824== by 0x507B6F9: GNUNET_PROGRAM_run (program.c:325)
==15824== Address 0x0 is not stack'd, malloc'd or (recently) free'd
==15824==
==15824==
==15824== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==15824== Access not within mapped region at address 0x0
==15824== at 0x508DA2D: GNUNET_STRINGS_path_is_absolute (strings.c:1044)
==15824== by 0x507656B: GNUNET_OS_check_helper_binary (os_installation.c:748)
==15824== by 0x5076A8F: start_process (os_priority.c:532)
==15824== by 0x50789F9: GNUNET_OS_start_process_vap (os_priority.c:1249)
==15824== by 0x5078B1F: GNUNET_OS_start_process_va (os_priority.c:1296)
==15824== by 0x5078BC9: GNUNET_OS_start_process (os_priority.c:1331)
==15824== by 0x401790: start_process (gnunet-gtk.c:191)
==15824== by 0x401873: plug (gnunet-gtk.c:272)
==15824== by 0x401ED7: run (gnunet-gtk.c:303)
==15824== by 0x50805B0: GNUNET_SCHEDULER_run (scheduler.c:595)
==15824== by 0x507B39D: GNUNET_PROGRAM_run2 (program.c:286)
==15824== by 0x507B6F9: GNUNET_PROGRAM_run (program.c:325)
==15824== If you believe this happened as a result of a stack
==15824== overflow in your program's main thread (unlikely but
==15824== possible), you can try to increase the size of the
==15824== main thread stack using the --main-stacksize= flag.
==15824== The main thread stack size used in this run was 8388608.
==15824==
==15824== HEAP SUMMARY:
==15824== in use at exit: 2,156,491 bytes in 14,791 blocks
==15824== total heap usage: 60,532 allocs, 45,741 frees, 7,053,569 bytes allocated
==15824==
==15824== LEAK SUMMARY:
==15824== definitely lost: 2,620 bytes in 6 blocks
==15824== indirectly lost: 6,480 bytes in 204 blocks
==15824== possibly lost: 1,032,629 bytes in 5,365 blocks
==15824== still reachable: 1,114,762 bytes in 9,216 blocks
==15824== suppressed: 0 bytes in 0 blocks
==15824== Rerun with --leak-check=full to see details of leaked memory
==15824==
==15824== For counts of detected and suppressed errors, rerun with: -v
==15824== Use --track-origins=yes to see where uninitialised values come from
==15824== ERROR SUMMARY: 29 errors from 8 contexts (suppressed: 2 from 2)
Killed

Matthias Wachs

2014-04-07 17:09

manager   ~0008201

At revision 32934:
Same same, but different...

Christian Grothoff

2014-04-07 19:44

manager   ~0008207

SVN 32937 reverts the broken fix, there was not a NULL arg missing.
Somehow a clear 'NULL' passed for 'stderr' turns non-NULL during a rather
straightforward call sequence :-(.

Christian Grothoff

2014-04-07 20:18

manager   ~0008208

Crash does not reproduce on my system...

Matthias Wachs

2014-04-08 17:17

manager   ~0008211

After svn up to 32978 no crash...

Issue History

Date Modified Username Field Change
2014-03-21 20:48 Matthias Wachs New Issue
2014-04-04 18:58 Christian Grothoff Note Added: 0008188
2014-04-04 20:33 Christian Grothoff Severity minor => crash
2014-04-04 20:33 Christian Grothoff Product Version => SVN HEAD
2014-04-04 20:33 Christian Grothoff Description Updated View Revisions
2014-04-07 11:12 Matthias Wachs Note Added: 0008195
2014-04-07 11:18 Christian Grothoff Note Added: 0008196
2014-04-07 11:18 Christian Grothoff Assigned To => Christian Grothoff
2014-04-07 11:18 Christian Grothoff Status new => assigned
2014-04-07 11:18 Christian Grothoff Status assigned => resolved
2014-04-07 11:18 Christian Grothoff Fixed in Version => 0.10.1
2014-04-07 11:18 Christian Grothoff Resolution open => fixed
2014-04-07 11:18 Christian Grothoff Target Version => 0.10.1
2014-04-07 17:08 Matthias Wachs Note Added: 0008200
2014-04-07 17:09 Matthias Wachs Note Added: 0008201
2014-04-07 17:09 Matthias Wachs Status resolved => feedback
2014-04-07 17:09 Matthias Wachs Resolution fixed => reopened
2014-04-07 19:44 Christian Grothoff Note Added: 0008207
2014-04-07 20:18 Christian Grothoff Note Added: 0008208
2014-04-07 20:37 Christian Grothoff Fixed in Version 0.10.1 =>
2014-04-07 20:37 Christian Grothoff Target Version 0.10.1 =>
2014-04-08 17:17 Matthias Wachs Note Added: 0008211
2014-04-08 17:17 Matthias Wachs Status feedback => assigned
2014-04-08 17:18 Matthias Wachs Status assigned => resolved
2014-04-08 17:18 Matthias Wachs Resolution reopened => fixed
2014-04-10 19:11 Christian Grothoff Status resolved => closed
2014-04-10 19:11 Christian Grothoff Fixed in Version => 0.10.1
2014-04-10 19:11 Christian Grothoff Target Version => 0.10.1